#include <bits/stdc++.h>
using namespace std;

int main(){
    int n,visina,a;
    cin>>n>>visina;
    for (int i=0;i<n;i++){
        cin>>a;
        if (a>visina){
        }
        else {
            cin>>i+1;
            return;
        }
    }
    cin>>-1;
}